My game apparently requires iPod touch 2nd gen. Why?

Member
Posts: 43
Joined: 2009.10
Post: #1
So my friends and I finally got our game posted to iTunes, hurray :-) Only problem is apparently iTunes says our game requires an iPhone or iPod Touch *2nd* generation (link to app is at the bottom). I'm not really sure why this is. To make matters more confusing if you try to install it on an iPod Touch 1st gen it says it can't run because it requires a microphone (which the game doesn't use not to mention the fact that the iPod Touch 2nd gen doesn't have one either to my knowledge).

Does anyone know what might cause this, or what I need to change to alter the device requirements? Thanks!



Link to to app:
http://itunes.apple.com/us/app/berserker...63333?mt=8

Oh and Marry Christmas to those of you who celebrate it :-)
Quote this message in a reply
Moderator
Posts: 1,560
Joined: 2003.10
Post: #2
alerus Wrote:it requires a microphone (which the game doesn't use not to mention the fact that the iPod Touch 2nd gen doesn't have one either to my knowledge)

The second generation iPod touch and later can use an external microphone plugged into the audio I/O jack on the bottom. The first generation one can't.

Don't know the answer to your actual question, sorry...
Quote this message in a reply
Member
Posts: 43
Joined: 2009.10
Post: #3
ThemsAllTook Wrote:The second generation iPod touch and later can use an external microphone plugged into the audio I/O jack on the bottom. The first generation one can't.

Don't know the answer to your actual question, sorry...

That at least clears up that weird message then. Thanks. Now on to trying to figure out why it thinks it needs a mic.
Quote this message in a reply
Member
Posts: 40
Joined: 2009.05
Post: #4
alerus Wrote:So my friends and I finally got our game posted to iTunes, hurray :-) Only problem is apparently iTunes says our game requires an iPhone or iPod Touch *2nd* generation (link to app is at the bottom). I'm not really sure why this is. To make matters more confusing if you try to install it on an iPod Touch 1st gen it says it can't run because it requires a microphone (which the game doesn't use not to mention the fact that the iPod Touch 2nd gen doesn't have one either to my knowledge).

Does anyone know what might cause this, or what I need to change to alter the device requirements? Thanks!



Link to to app:
http://itunes.apple.com/us/app/berserker...63333?mt=8

Oh and Marry Christmas to those of you who celebrate it :-)

From what I recall you select what devices your app requires when you upload it to iTunesConnect.
Quote this message in a reply
Member
Posts: 43
Joined: 2009.10
Post: #5
iamflimflam1 Wrote:From what I recall you select what devices your app requires when you upload it to iTunesConnect.

Hmm it was really late when I did that so its possible I selected the wrong option by accident. I'll look into it when iTunes connect is up again. Thanks.
Quote this message in a reply
Member
Posts: 110
Joined: 2009.07
Post: #6
alerus Wrote:Hmm it was really late when I did that so its possible I selected the wrong option by accident. I'll look into it when iTunes connect is up again. Thanks.

Hmm... fascinating. I think I might have the same problem.

http://www.fluttermind.com
Fluttermind - Games for Everyone
Quote this message in a reply
Member
Posts: 43
Joined: 2009.10
Post: #7
An update: Since iTunes Connect is now up again, I was able to change device requirements. It *was* set to second gen. I changed this and now on iTunes it says iPhone and iPod Touch so I *think* everything is good to go. I will have to check it out on an actual first gen Touch (unfortunately I don't have immediate access to one) but hopefully if re-downloaded it will work them now.
Quote this message in a reply
Post Reply 

Possibly Related Threads...
Thread: Author Replies: Views: Last Post
  How much can I stuff in to video ram? (on iPhone/iPod touch) Jamie W 9 10,209 Aug 6, 2010 05:23 AM
Last Post: mariocaprino
  Pause/Resume on IPod touch tonysameh 0 2,411 Jul 26, 2010 06:34 AM
Last Post: tonysameh
  iPod Touch not multitasking not working??? Toontingy 1 4,035 Jun 24, 2010 04:13 PM
Last Post: sealfin
  iPhone Only? Not for iPod Touch? daveh84 4 4,276 May 7, 2010 10:46 PM
Last Post: cmiller
  Testing incoming call robustness on an iPod touch. Madrayken 10 5,969 Jan 21, 2010 02:19 AM
Last Post: Madrayken